import com.itbaizhan.mapper.UserMapper;
import com.itbaizhan.pojo.User;
import org.apache.ibatis.io.Resources;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import org.apache.ibatis.session.SqlSessionFactoryBuilder;
import org.junit.Test;

import java.io.InputStream;
import java.util.List;

public class TestUserMapper {
    @Test
    public void testFindAll() throws Exception{
        //读取核心配置文件
        InputStream is= Resources.getResourceAsStream("sqlMapConfig.xml");
        //sqlSessionFactoryBuilder对象
        SqlSessionFactoryBuilder builder=new SqlSessionFactoryBuilder();
       //sqlSessionFactoryBuilder对象获取SqlSessionFactory对象
        SqlSessionFactory factory= builder.build(is);
        //sqlSessionFactory对象获取sqlSessioin对象
        SqlSession session=factory.openSession();
        //sqlSession对象获取代理对象
        UserMapper userMapper=  session.getMapper(UserMapper.class);
        //代理对象执行方法
         List<User> all= userMapper.findAll();
         all.forEach(System.out::println);
         //释放资源
        session.close();
        is.close();

    }

    //代理对象执行方法
}
